package com.lightinit.hsdataportal.entity;

import java.util.Date;

/**
 * Created by Administrator on 2018/5/27 0027.
 */
public class RequirementDataSupply {

    private Long id;
    //需求名称
    private String requirementName;
    //需求摘要
    private String requirementSummary;
    //需求来源
    private String requirementSource;


    //审核用户
    private Long auditUserId;
    //审核人显示姓名
    private String auditShownName;
    //审核结果
    private String auditResult;
    //审核意见
    private String auditOpinion;
    //审核日期
    private Date auditDate;

    //发布日期
    private Date publishAt;

    // 需求用户ID
    private Long rqrmntUseriId;
    // 需求用户用户名
    private String rqrmntUserName;



    //需求用户显示姓名
    private String rqrmntUserShowName;
    //数据所属单位ID
    private Long belongtoSectorId;
    //数据所属单位名称
    private String belongtoSectorName;
    //需求用户部门ID
    private Long rqrmntSectorId;
    //需求用户部门名称
    private String rqrmntSectorName;

    //反馈人机构
    private String feedbackOrg;
    //反馈人部门
    private String feedbackSector;
    //反馈结果
    private String feedbackResult;
    //反馈情况
    private String feedbackDesc;

    //需求用途
    private String dataUses;
    //反馈用户iD
    private Long feedbackUserId;
    //反馈用户用户名
    private String feedbackUserName;
    //反馈用户显示名称
    private String feedbackShowName;
    //反馈日期
    private Date feedbackDate;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }


    public String getRequirementName() {
        return requirementName;
    }

    public void setRequirementName(String requirementName) {
        this.requirementName = requirementName;
    }

    public String getRequirementSummary() {
        return requirementSummary;
    }

    public void setRequirementSummary(String requirementSummary) {
        this.requirementSummary = requirementSummary;
    }

    public String getRequirementSource() {
        return requirementSource;
    }

    public void setRequirementSource(String requirementSource) {
        this.requirementSource = requirementSource;
    }


    public String getBelongtoSectorName() {
        return belongtoSectorName;
    }

    public void setBelongtoSectorName(String belongtoSectorName) {
        this.belongtoSectorName = belongtoSectorName;
    }

    public Long getBelongtoSectorId() {
        return belongtoSectorId;
    }

    public void setBelongtoSectorId(Long belongtoSectorId) {
        this.belongtoSectorId = belongtoSectorId;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public Date getPublishAt() {
        return publishAt;
    }

    public void setPublishAt(Date publishAt) {
        this.publishAt = publishAt;
    }

    public String getDataUses() {
        return dataUses;
    }

    public void setDataUses(String dataUses) {
        this.dataUses = dataUses;
    }


    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }


    public String getFeedbackSector() {
        return feedbackSector;
    }

    public void setFeedbackSector(String feedbackSector) {
        this.feedbackSector = feedbackSector;
    }


    public Date getFeedbackDate() {
        return feedbackDate;
    }

    public void setFeedbackDate(Date feedbackDate) {
        this.feedbackDate = feedbackDate;
    }

    public String getFeedbackResult() {
        return feedbackResult;
    }

    public void setFeedbackResult(String feedbackResult) {
        this.feedbackResult = feedbackResult;
    }

    public Long getRqrmntSectorId() {
        return rqrmntSectorId;
    }

    public void setRqrmntSectorId(Long rqrmntSectorId) {
        this.rqrmntSectorId = rqrmntSectorId;
    }

    public String getRqrmntSectorName() {
        return rqrmntSectorName;
    }

    public void setRqrmntSectorName(String rqrmntSectorName) {
        this.rqrmntSectorName = rqrmntSectorName;
    }


    public String getFeedbackUserName() {
        return feedbackUserName;
    }

    public void setFeedbackUserName(String feedbackUserName) {
        this.feedbackUserName = feedbackUserName;
    }

    public Long getAuditUserId() {
        return auditUserId;
    }

    public void setAuditUserId(Long auditUserId) {
        this.auditUserId = auditUserId;
    }

    public String getFeedbackOrg() {
        return feedbackOrg;
    }

    public void setFeedbackOrg(String feedbackOrg) {
        this.feedbackOrg = feedbackOrg;
    }

    public String getFeedbackShowName() {
        return feedbackShowName;
    }

    public void setFeedbackShowName(String feedbackShowName) {
        this.feedbackShowName = feedbackShowName;
    }

    public String getAuditShownName() {
        return auditShownName;
    }

    public void setAuditShownName(String auditShownName) {
        this.auditShownName = auditShownName;
    }


    public String getFeedbackDesc() {
        return feedbackDesc;
    }

    public void setFeedbackDesc(String feedbackDesc) {
        this.feedbackDesc = feedbackDesc;
    }

    public Long getFeedbackUserId() {
        return feedbackUserId;
    }

    public void setFeedbackUserId(Long feedbackUserId) {
        this.feedbackUserId = feedbackUserId;
    }

    public String getRqrmntUserShowName() {
        return rqrmntUserShowName;
    }

    public void setRqrmntUserShowName(String rqrmntUserShowName) {
        this.rqrmntUserShowName = rqrmntUserShowName;
    }

    public String getRqrmntUserName() {
        return rqrmntUserName;
    }

    public void setRqrmntUserName(String rqrmntUserName) {
        this.rqrmntUserName = rqrmntUserName;
    }

    public Long getRqrmntUseriId() {
        return rqrmntUseriId;
    }

    public void setRqrmntUseriId(Long rqrmntUseriId) {
        this.rqrmntUseriId = rqrmntUseriId;
    }

}
